petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDATSSetRHSJacobianLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetRHSJacobianLocal(DM dm,DMDATSRHSJacobianLocal func,void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local RHS Jacobian evaluation routine
| ctx | - optional context for local jacobian evaluation

### Calling sequence for func

    func(DMDALocalInfo* info,PetscReal t,void* x,Mat J,Mat B,void *ctx);

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on
| t | - time at which to evaluate residual
| x | - array of local state information
| J | - Jacobian matrix
| B | - preconditioner matrix; often same as J
| ctx | - optional context passed above

### See Also

DMTSSetRHSJacobian(), DMDATSSetRHSFunctionLocal(), DMDASNESSetJacobianLocal()

Level:beginner
Location:src/ts/utils/dmdats.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages